Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.webservice.siebeleai
Class EAIWebClientApplication

    java.lang.Object
      com.stc.connector.appconn.webservice.siebeleai.EAIWebClientApplication

    public class EAIWebClientApplication

extends java.lang.Object

A Web Service implementation of the Java-based SiebelEAIClientApplication class.

Version:
  $Revision: 1.7 $
See Also:
  `SiebelEAIClientApplication`

Constructor Summary
`EAIWebClientApplication()` Constructor.
`EAIWebClientApplication(SiebelEAIApplicationConnection appConn)` Constructor.

Method Summary
`EAIWebResult` | `eaiDeletePost(EAIIntegrationWebRequest webRequest)` Posts Siebel messages with delete operation flag on
`EAIWebResult` | `eaiPost(EAIWebRequest webRequest)` Obtains the key used to identify the object in the application.
`EAIWebResult` | `eaiQueryPost(EAIIntegrationWebRequest webRequest)` Posts Siebel messages with query operation flag on
`EAIWebResult` | `eaiUpsertPost(EAIIntegrationWebRequest webRequest)` Posts Siebel messages with upsert operation flag on

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EAIWebClientApplication

    public EAIWebClientApplication()

  Constructor.

### EAIWebClientApplication

    public EAIWebClientApplication(SiebelEAIApplicationConnection appConn)
                            throws SiebelEAIApplicationException

  Constructor.

  Parameters:
    `appConn` - The application connection.
  Throws:
    `SiebelEAIApplicationException` - upon error.

Method Detail

### eaiPost

    public EAIWebResult eaiPost(EAIWebRequest webRequest)
                         throws SiebelEAIApplicationException

  Obtains the key used to identify the object in the application.

  Parameters:
    `webRequest` - The webRequest.
  Returns:
    The key used to identify the object in the application.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### eaiUpsertPost

    public EAIWebResult eaiUpsertPost(EAIIntegrationWebRequest webRequest)
                               throws SiebelEAIApplicationException

  Posts Siebel messages with upsert operation flag on

  Parameters:
    `webRequest` - The webRequest.
  Returns:
    The key used to identify the object in the application.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### eaiDeletePost

    public EAIWebResult eaiDeletePost(EAIIntegrationWebRequest webRequest)
                               throws SiebelEAIApplicationException

  Posts Siebel messages with delete operation flag on

  Parameters:
    `webRequest` - The webRequest.
  Returns:
    The key used to identify the object in the application.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### eaiQueryPost

    public EAIWebResult eaiQueryPost(EAIIntegrationWebRequest webRequest)
                              throws SiebelEAIApplicationException

  Posts Siebel messages with query operation flag on

  Parameters:
    `webRequest` - The webRequest.
  Returns:
    The key used to identify the object in the application.
  Throws:
    `SiebelEAIApplicationException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.